test: flags_struct struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# flags_struct Struct Reference

`#include <fetypes.h>`

List of all members.

## Public Attributes

EM_uint_t | v:1
EM_uint_t | d:1
EM_uint_t | z:1
EM_uint_t | o:1
EM_uint_t | un:1
EM_uint_t | i:1

## Member Data Documentation

EM_uint_t flags_struct::d

| Definition at line 378 of file fetypes.h. Referenced by fcmp_exception_fault_check(), fma_exception_fault_check(), fminmax_exception_fault_check(), fms_fnma_exception_fault_check(), fp_decode_environment(), fp_update_fpsr(), fpcmp_exception_fault_check(), fpma_exception_fault_check(), fpminmax_exception_fault_check(), fpms_fpnma_exception_fault_check(), fprcpa_exception_fault_check(), fprsqrta_exception_fault_check(), frcpa_exception_fault_check(), and frsqrta_exception_fault_check().

EM_uint_t flags_struct::i

| Definition at line 382 of file fetypes.h. Referenced by fp82_fp_decode_trap(), fp_decode_environment(), fp_ieee_round(), fp_ieee_to_hilo(), and fp_update_fpsr().

EM_uint_t flags_struct::o

| Definition at line 380 of file fetypes.h. Referenced by fp_decode_environment(), fp_ieee_round(), fp_ieee_to_hilo(), and fp_update_fpsr().

EM_uint_t flags_struct::un

| Definition at line 381 of file fetypes.h. Referenced by fp_decode_environment(), fp_ieee_round(), fp_ieee_to_hilo(), and fp_update_fpsr().

EM_uint_t flags_struct::v

| Definition at line 377 of file fetypes.h. Referenced by fcmp_exception_fault_check(), fma_exception_fault_check(), fminmax_exception_fault_check(), fms_fnma_exception_fault_check(), fp_decode_environment(), fp_update_fpsr(), fpcmp_exception_fault_check(), fpma_exception_fault_check(), fpminmax_exception_fault_check(), fpms_fpnma_exception_fault_check(), fprcpa_exception_fault_check(), fprsqrta_exception_fault_check(), frcpa_exception_fault_check(), and frsqrta_exception_fault_check().

EM_uint_t flags_struct::z

| Definition at line 379 of file fetypes.h. Referenced by fp_decode_environment(), fp_update_fpsr(), fprcpa_exception_fault_check(), and frcpa_exception_fault_check().

The documentation for this struct was generated from the following file:

- fetypes.h